Bug 86183 - TRACK CHANGES: Shortcut for record changes
Summary: TRACK CHANGES: Shortcut for record changes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2014-11-12 04:01 UTC by Yousuf Philips (jay)
Modified: 2014-12-20 22:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-12 04:01:09 UTC
It would be useful to have a shortcut key to activate track changes. MS Word and WPS Writer use Ctrl + Shift + E and i see we recently set that to the Edit > Edit Mode entry.
Comment 1 A (Andy) 2014-11-13 22:36:30 UTC
For me this sounds good.
Comment 2 Yousuf Philips (jay) 2014-11-13 23:05:56 UTC
Yes it was decided in the design meeting on wednesday to change this to the Ctrl + Shift + E and replace Edit Mode with a new shortcut, so i changed it to Ctrl + Shift + M.

Patch is in - https://gerrit.libreoffice.org/#/c/12415/
Comment 3 A (Andy) 2014-11-13 23:22:18 UTC
@Jay: That's fine.  Thanks for your very fast reply.
Comment 4 Commit Notification 2014-11-17 09:26:56 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d266fe13f60aab4975326eef5dc095c0f42ead48

fdo#86183 set ctrl+shift+e to track changes and reassign edit mode

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kevin Suo 2014-12-15 09:37:12 UTC
Any plan to document the changed/new shortcut keys here:
https://help.libreoffice.org/Common/General_Shortcut_Keys_in
Comment 6 Yousuf Philips (jay) 2014-12-15 11:15:25 UTC
@Kevin: The new shortcuts were added to the release notes and if you feel that it should be added to the help page, please do so, as i dont have a help account. :D
Comment 7 Mike §chinagl 2014-12-20 22:03:00 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


The keyboard shortcut Ctrl+⇧ Shift+E has been associated with the recording of track changes.